/************************************************************************/
/*																		*/
/*	FILE		:main.c													*/
/*	DATE		:														*/
/*	DESCRIPTION	:Main Code												*/
/*	CPUTYPE		:														*/
/*																		*/
/* ύX : 															*/
/*	ύX		ύX		ύXe									*/
/*																		*/
/************************************************************************/
#include "type_def.h"
#include "cpu.h"


void 	StartIntTimer( void );
void	StopIntTimer( void );
void	LEDInitPort( void );


UCHAR 		cLedData;		// LED̓_Ef[^
UCHAR		befflag;		// 荞ݔȌ 
UCHAR		aftflag;		// 荞ݔ̏ 




/************************************************************************/
/* MODULE  : LEDInitPort												*/
/* ABSTRACT: LED_E|[g̐ݒƏ							*/
/* FUNCTION: |[gBo͂ɐݒ肵_E				*/
/*																		*/
/* NOTE    : 															*/
/* ARGUMENT: void														*/
/* RETURN  : void														*/
/*																		*/
/************************************************************************/
void 	LEDInitPort( void )
{
	PBDDR.PORT.all = 0xff;				// |[gBo͂ɐݒ
	cLedData = CLR_imm;					// _Ef[^
	PBDR.PORT.all = ~cLedData;			// LEDS(0œ_ꍇ)
}

/************************************************************************/
/* MODULE  : StopIntTimer												*/
/* ABSTRACT: C^[o^C}[JEg~						*/
/* FUNCTION: C^[o^C}[ɂāANbNZNg/4096ɂ	*/
/*			 JEg~											*/
/*																		*/
/* NOTE    : 															*/
/* ARGUMENT: void														*/
/* RETURN  : void														*/
/*																		*/
/************************************************************************/
void 	StopIntTimer( void )
{
	TCNT_WT = 0x5A00;
	TCSR_WT = 0xA51F;
	RSTCSR_WT = 0xA53F;
}


/************************************************************************/
/* MODULE  : StartIntTimer												*/
/* ABSTRACT: C^[o^C}[JEgJn						*/
/* FUNCTION: C^[o^C}[ɂāANbNZNg/4096ɂ	*/
/*			 JEgJn											*/
/*																		*/
/* NOTE    : 															*/
/* ARGUMENT: void														*/
/* RETURN  : void														*/
/*																		*/
/************************************************************************/
void 	StartIntTimer( void )
{
	TCNT_WT = 0x5A00;
	TCSR_WT = 0xA53F;
	RSTCSR_WT = 0xA53F;
}


/************************************************************************/
/* MODULE  : main														*/
/* ABSTRACT: C													*/
/* FUNCTION: 荞ݔLED_̃f[^ω_𖳌	*/
/*			 													*/
/*																		*/
/* NOTE    : LED̓|[gB4ڑĂΓ_				*/
/* ARGUMENT: void														*/
/* RETURN  : int														*/
/*																		*/
/************************************************************************/
int		main( void )
{
	aftflag = OFF_imm;						// 荞ݔԂ̏
	befflag = OFF_imm;						// 荞ݔԂ̏
	__asm volatile("andc	#0x7f,ccr");	// 荞݋
	LEDInitPort();
	StartIntTimer();

	while (1)
	{
		if (aftflag != befflag) // 荞ݐ"befflag"ŕω̂҂
		{
			aftflag = befflag;	// Ԃւ
			cLedData++;			// LED_ʒuω
			if (cLedData == 0x11)
			{
				cLedData = 0x00;	// S_̂őS
			}
			StartIntTimer();	// JEgJn
		}
	}
	return	(0);
}

